asn1_der_decoding_element(3)

NAME
asn1_der_decoding_element - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_der_decoding_element(asn1_node * structure, const char * elementName, const void * ider, int len, char * errorDescription);

ARGUMENTS

asn1_node * structure
    pointer to an ASN1 structure

const char * elementName
    name of the element to fill

const void * ider
    vector that contains the DER encoding of the whole structure.

int len
    number of bytes of *der: der[0]..der[len-1]

char * errorDescription
    null-terminated string contains details when an error occurred.

DESCRIPTION
Fill the element named ELEMENTNAME with values of a DER encoding string. The structure must just be created with function asn1_create_element(). The DER vector must contain the encoding string of the whole STRUCTURE . If an error occurs during the decoding procedure, the * STRUCTURE is deleted and set equal to NULL. This function is deprecated and may just be an alias to asn1_der_decoding in future versions. Use asn1_der_decoding() instead.

RETURNS
ASN1_SUCCESS if DER encoding OK, ASN1_ELEMENT_NOT_FOUND if ELEMENT is NULL or elementName == NULL, and ASN1_TAG_ERROR or ASN1_DER_ERROR if the der encoding doesn't match the structure structure (*ELEMENT deleted).

COPYRIGHT
Copyright © 2006-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/